var c,h,r:char;
  num:array['A'..'Z'] of  integer; {массив количества букв алфавита}
  sym:array['A'..'Z'] of  char;
  k:integer;
begin
 for  c:= 'A' to 'Z' do
  begin
   num[c]:=0; {обнуляем массив num}
   sym[c]:=c;  {заполняем массив sym}
  end;
 read(c);
 while c<>'#' do
   begin
    {Если текущий символ - буква}
     if  (upcase(c)>= 'A') and (upcase(c)<= 'Z') then
          inc(num[upcase(c)]); {увеличиваем счетчик количества этой буквы}
          read(c)
  end;
 for h:='Y' downto 'A' do {сортировка пузырьком массива num}
 for c:='A' to h do  {и синхронно переставляем массив sum}
  if num[c]> num[succ(c)] then {если элемент больше правого соседа,
                                их нужно поменять местами}
    begin
     k:=num[c];               r:=sym[c];
     num[c]:=num[succ(c)];    sym[c]:=sym[succ(c)];
     num[succ(c)]:=k;         sym[succ(c)]:=r
    end;
 h:='A';
 while num[h]=0 do {ищем букву с ненулевой частотой}
  inc(h);
 for c:=h to 'Z' do {выводим все остальные буквы}
   write(sym[c])
end.


